set_config_data(3)

NAME
set_config_data - Sets a block of configuration data. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_config_data(const char *data, int length);

DESCRIPTION
Specifies a block of data to be used by all subsequent config functions, which you have already loaded from disk (eg. as part of some more complicated format of your own, or in a grabber datafile). This routine makes a copy of the information, so you can safely free the data after calling it.

SEE ALSO
set_config_file(3), override_config_data(3), push_config_state(3), set_config_string(3), get_config_string(3)